Bug 112961

Summary: [GTK][WK2] WebKitLoaderClient: add missing initializers
Product: WebKit Reporter: Alberto Garcia <berto>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, cgarcia, commit-queue, gns, mrobinson, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Alberto Garcia 2013-03-21 14:02:52 PDT
Else gcc complains:

../../Source/WebKit2/UIProcess/API/gtk/WebKitLoaderClient.cpp: In function 'void attachLoaderClientToView(WebKitWebView*)':
../../Source/WebKit2/UIProcess/API/gtk/WebKitLoaderClient.cpp:177:5: warning: missing initializer for member 'WKPageLoaderClient::pluginLoadPolicy' [-Wmissing-field-initializers]
../../Source/WebKit2/UIProcess/API/gtk/WebKitLoaderClient.cpp:177:5: warning: missing initializer for member 'WKPageLoaderClient::pluginDidFail' [-Wmissing-field-initializers]
Comment 1 Alberto Garcia 2013-03-21 14:05:39 PDT
Created attachment 194330 [details]
Patch
Comment 2 WebKit Review Bot 2013-03-21 14:08:34 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Carlos Garcia Campos 2013-03-22 00:31:22 PDT
Comment on attachment 194330 [details]
Patch

Thanks!
Comment 4 WebKit Commit Bot 2013-04-05 01:20:36 PDT
Comment on attachment 194330 [details]
Patch

Clearing flags on attachment: 194330

Committed r147725: <http://trac.webkit.org/changeset/147725>
Comment 5 WebKit Commit Bot 2013-04-05 01:20:38 PDT
All reviewed patches have been landed.  Closing bug.